/* Test Ad */

#import "TADORTBAbstract.h"
#import "TADORTBExtMobileSDKEvents.h"

@class TADORTBExtMobileSDKPassthrough;

NS_ASSUME_NONNULL_BEGIN

@interface TADORTBBidExtMobileSDK: TADORTBAbstract

@property (nonatomic, copy, nullable) NSString *type;

// NOTE: TestAd server does not support remote config yet.
@property (nonatomic, copy, nullable) NSArray<TADORTBExtMobileSDKPassthrough *> *passthrough;

// NOTE: TestAd events should be migrated or removed later.
// For now, we shouldn't use it.
@property (nonatomic, strong, nullable) TADORTBExtMobileSDKEvents *events;

@end

NS_ASSUME_NONNULL_END
